Summary: Personality setter
Name: setarch
Version: 1.0
Release: 1.norlug
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: System Environment/Kernel
BuildRoot: %{_tmppath}/%{name}-root

%description
This utility tells the kernel to report a different architecture than the 
current one, then runs a program in that environment.

%prep
%setup -q

%build
%{__cc} -o setarch setarch.c $RPM_OPT_FLAGS

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_mandir}/man8
install -m444 setarch.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -s -m555 setarch $RPM_BUILD_ROOT%{_bindir}

LINKS=""
%ifarch s390 s390x
LINKS="$LINKS s390 s390x"
%endif
%ifarch x86_64 i386
LINKS="$LINKS i386 x86_64"
%endif
%ifarch ppc ppc64
LINKS="$LINKS ppc ppc64 ppc32"
%endif
%ifarch sparc sparc64
LINKS="$LINKS sparc sparc64 sparc32"
%endif
%ifarch ia64
LINKS="$LINKS i386 ia64"
%endif
for I in $LINKS; do 
	ln $RPM_BUILD_ROOT%{_bindir}/setarch $RPM_BUILD_ROOT%{_bindir}/$I
	echo ".so setarch.8" > $RPM_BUILD_ROOT%{_mandir}/man8/$I.8
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man8/*.8*

%changelog
* Mon Oct 25 2004 Chip Cuccio <chipster@norlug.org> 1.0-1
- initial build for rh-7.3

* Wed Jun 11 2003 Elliot Lee <sopwith@moebius.labs.redhat.com>
- Initial build.
